Summary: Common libraries for all services running on the CREAM CE
Name: glite-ce-common-java
Version: %{extversion}
Release: %{extage}.%{extdist}
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: System Environment/Libraries
BuildArch: noarch
BuildRequires: ant, ant-junit, xml-commons-apis
BuildRequires: %{!?extbuilddir: argus-pep-common, argus-pep-api-java,} axis2
BuildRequires: %{!?extbuilddir: emi-trustmanager, voms-api-java,} bouncycastle
%if %{extdist} == "sl6"
BuildRequires: tomcat6-servlet-2.5-api
%else:
BuildRequires: tomcat5-servlet-2.4-api
%endif
Requires: axis2, bouncycastle 
%if %{extdist} == "sl6"
Requires: tomcat6
%else
Requires: tomcat5
%endif
Requires: argus-pep-common, argus-pep-api-java
Requires: emi-trustmanager, voms-api-java, jclassads, mysql-connector-java
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}-%{version}-%{release}.tar.gz

%if %{extdist} == "sl6"
%global _tomcat tomcat6
%global _tomcatclibdir /usr/share/java/tomcat6
%else
%global _tomcat tomcat5
%global _tomcatclibdir /var/lib/tomcat5/common/lib
%endif

%description
Common libraries for all services running on the CREAM CE

%prep
%setup -c -q

%build
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  printf "dist.location=%{buildroot}
doc.location=%{buildroot}/%{_javadocdir}/%{name}
stage.location=/
module.version=%{version}">.configuration.properties
  ant
fi

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  ant install
else
  mkdir -p %{buildroot}/usr/share/java
  cp %{extbuilddir}/usr/share/java/*.jar %{buildroot}/usr/share/java
  mkdir -p %{buildroot}/etc/glite-ce-common-java
  cp -R %{extbuilddir}/etc/glite-ce-common-java/* %{buildroot}/etc/glite-ce-common-java
  mkdir -p %{buildroot}/usr/share/doc/glite-ce-common-java-%{version}
  cp %{extbuilddir}/usr/share/doc/glite-ce-common-java-%{version}/LICENSE %{buildroot}/usr/share/doc/glite-ce-common-java-%{version}
  mkdir -p %{buildroot}/%{_javadocdir}/%{name}
  cp -R %{extbuilddir}/usr/share/doc/glite-ce-common-java/html %{buildroot}/%{_javadocdir}/%{name}
fi
 

%clean
rm -rf %{buildroot} 

%post
if [ $1 -eq 1 ] ; then
  
  touch /etc/grid-security/admin-list
  
  # JDBC driver must be loaded by the same classloader used for dbcp
  ln -s /usr/share/java/mysql-connector-java.jar %{_tomcatclibdir}/mysql-connector-java_forcream.jar


fi

%preun
if [ $1 -eq 0 ] ; then

  rm -f %{_tomcatclibdir}/mysql-connector-java_forcream.jar
 
fi


%files
%defattr(-,root,root)
/usr/share/java/*.jar
%dir /usr/share/doc/glite-ce-common-java-%{version}/
%doc /usr/share/doc/glite-ce-common-java-%{version}/LICENSE
%dir /etc/glite-ce-common-java
%config(noreplace) /etc/glite-ce-common-java/*

%package doc
Summary: Documentation files for the CREAM Common library
Group: Documentation
Requires: %{name}

%description doc
Documentation files for the CREAM Common library

%files doc
%defattr(-,root,root)
%dir %{_javadocdir}/%{name}/html/
%dir %{_javadocdir}/%{name}/html/resources/
%doc %{_javadocdir}/%{name}/html/resources/inherit.gif

%doc %{_javadocdir}/%{name}/html/*.html
%doc %{_javadocdir}/%{name}/html/stylesheet.css
%doc %{_javadocdir}/%{name}/html/package-list
%dir %{_javadocdir}/%{name}/html/org/
%dir %{_javadocdir}/%{name}/html/org/glite/
%dir %{_javadocdir}/%{name}/html/org/glite/ce/
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/xppm/
%doc %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/xppm/*.html
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/xppm/class-use/
%doc %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/xppm/class-use/*.html

%changelog
* %{extcdate} CREAM group <cream-support@lists.infn.it> - %{extversion}-%{extage}.%{extdist}
- %{extclog}



